button, 
.btn, 
.link-btn{
    padding: 12px;
    text-align: center;
    color: var(--theme-bg);
    background: var(--theme-color);
    border: none;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    display: block;
    width: 100%;
    margin: 20px 0;
    z-index: 8;
}
.link-btn{
    text-decoration: none;
}
.back-to-top-container{
    position: relative;
    display: inline-block;
}
.back-to-top{
    position: fixed;
    z-index: 2000; 
    display: none;
    right: -60px;
    top: 50%;
    color: #aaaaaa;
    transition: opacity 2s 0.5s;
    outline: none;
    font-size: 1em;
    transform: rotate(270deg);
    cursor: pointer;
}
.social-media-side-container{
    position: relative;
    display: inline-block;
    padding-left: 100px;
}
.social-media-side-container a i{
    color: #aaaaaa;
    font-size: 1.4em;
    margin-left: 8px;
    transform: rotate(90deg);
    transition: all ease-in-out .4s;
}
.social-media-side-container a i:hover{
    transform: scale(1.8);
}
.social-media-side-bar{
    position: fixed;
    z-index: 2000; 
    display: none;
    line-height: 40px;
    left: -40px;
    top: 50%;
    color: #aaaaaa;
    transition: opacity 2s 0.5s;
    outline: none;
    font-size: 1em;
    transform: rotate(270deg);
    cursor: pointer;
}
.progress-scroll-container{
    position: absolute;
    width: 100%;
    top: 8px;
    background: #aaaaaa;
    z-index: 10;
    display: inline-block;
    transform: rotate(180deg);
    margin-left: 4px;
}
.progress-scroll{
    position: relative;
    width: 0%;
    height: 2px;
    background: #222222;
}

/* custom link-btn Social-Media */

.social-media-links{
    width: 100%;
    text-align: center;

}
.social-media-links a{
    display: inline-block;
    color: #fff;
    cursor: pointer;

}
.social-media-btn{
    position: relative;
    width: 50px;
    height: 50px;
    background: #1b1b1b;
    display: block;
    text-align: center;
    margin: 20px 10px;
    border-radius: 50%;
    padding: 8px;
    box-sizing: border-box;
    box-shadow: 0 6px 6px rgba(0,0,0,1);
    background: linear-gradient(0deg, #000, #1b1b1b);
    border: 2px solid #1b1b1b;
    transition: .2s;
    cursor: pointer;
}
.social-media-btn:hover{
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);

}
.social-media-btn .fab{
    width: 100%;
    height: 100%;
    display: block;
    background: linear-gradient(0deg, #1b1b1b, #000);
    border-radius: 50%;
    line-height: calc(40px - 12px);
    font-size: 18px;
}
.social-media-btn:hover,
.social-media-btn:active{
    color: var(--theme-color);
    border: 2px solid  var(--theme-color);
}
/* custom link-btn Social-Media */
@media (min-width: 769px) {
    .btn-container{
        display: flex;
    }
    .right{
        justify-content: right;
    }
    .left{
        justify-content: left;
    }
    .center-div{
        justify-content: center;
    }
    .right .btn{
        width: 160px;
    }
    .left .btn{
        width: 160px;
    }
    .center-div .btn{
        width: 160px;
    }

}
@media (min-width: 1060px) {
    .back-to-top{
        right: 8px; 
    }
}
@media (min-width: 1150px) {
    
    .social-media-side-bar{
        display: block;
    }
}